package com.zjrs.ggfw.portal.dto;

import io.swagger.annotations.ApiModelProperty;

import jakarta.validation.constraints.NotBlank;

public class XxglDTO implements java.io.Serializable {
    private static final long serialVersionUID = 1L;
    
    @ApiModelProperty(value = "消息标题")
    @NotBlank(message = "消息标题不能为空")
    private String xxbt;
    
    @ApiModelProperty(value = "消息内容")
    @NotBlank(message = "消息内容不能为空")
    private String xxnr;
    
    @ApiModelProperty(value = "收件人ID（逗号分隔拼接）")
    @NotBlank(message = "收件人ID不能为空")
    private String sjrids;
    
    @ApiModelProperty(value = "内外网用户标识（1内网2外网）")
    @NotBlank(message = "内外网用户标识不能为空")
    private String flag;

	public String getXxbt() {
		return xxbt;
	}

	public void setXxbt(String xxbt) {
		this.xxbt = xxbt;
	}

	public String getXxnr() {
		return xxnr;
	}

	public void setXxnr(String xxnr) {
		this.xxnr = xxnr;
	}

	public String getSjrids() {
		return sjrids;
	}

	public void setSjrids(String sjrids) {
		this.sjrids = sjrids;
	}

	public String getFlag() {
		return flag;
	}

	public void setFlag(String flag) {
		this.flag = flag;
	}
}

